Magento 1.7 is pretty much outdated now but in some cases you always need to install 1.7 to preserve your data or avoiding issues.

You can experience following errors while installing magento 1.7

1. 500 internal server error.
2. PHP Extensions “0” must be loaded.
3. Database server does not support the InnoDB storage engine.

500 internal server error

To solve 500 internal server error pleas look at following link
https://lampjs.wordpress.com/2016/06/21/install-magento-500-server-error/

PHP Extensions “0” must be loaded

Open following file

app/code/core/Mage/Install/etc/config.xml

and replace

<extensions>
    <pdo_mysql/>
</extensions>

with this

<extensions>
    <pdo_mysql>1</pdo_mysql>
</extensions>

Database server does not support the InnoDB storage engine

Open following file

app/code/core/Mage/Install/Model/Installer/Db/Mysql4.php

Replace:

public function supportEngine()
{
    $variables  = $this->_getConnection()
        ->fetchPairs('SHOW VARIABLES');
    return (!isset($variables['have_innodb']) || $variables['have_innodb'] != 'YES') ? false : true;
}

with this:

public function supportEngine()
{
    $variables  = $this->_getConnection()
        ->fetchPairs('SHOW ENGINES');
    return (isset($variables['InnoDB']) && $variables['InnoDB'] != 'NO');
}

That’s it.

Keep enjoying 😉

Advertisements